Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Fetch memory files

Fetch project memory files by ID and/or path. Folders are ignored and files are returned in request order.

POST/v1/projects/{projectId}/memory/files/fetch
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
Request body
requiredapplication/json
idsstring<uuid>[]

Memory file IDs to fetch

max items 200
namesstring[]

Memory file paths to fetch

max items 200
Responses
200

Response for status 200

filesobject[]required
Show properties
Array of object
idstringrequired
project_idstringrequired
namestringrequired
bodystringrequired
created_bystring | nullrequired
created_atstringrequired
updated_atstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/memory/files/fetch' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ],
  "names": [
    "string"
  ]
}'
Response
{
  "files": [
    {
      "id": "string",
      "project_id": "string",
      "name": "string",
      "body": "string",
      "created_by": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}

Was this page helpful?